.TH wxCalendarDateAttr 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxCalendarDateAttr \- See external documentation: wxCalendarDateAttr\&.
.SH DESCRIPTION
.LP
See external documentation: wxCalendarDateAttr <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcalendardateattr\&.html>\&.

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxCalendarDateAttr()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxCalendarDateAttr()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcalendardateattr\&.html#wxcalendardateattrwxcalendardateattr>\&.
.RE
.LP
.B
new(X::WxCalendarDateBorder | term()) -> wxCalendarDateAttr()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcalendardateattr\&.html#wxcalendardateattrwxcalendardateattr>\&. 
.br
 Alternatives: 
.LP
\fI new(Border::WxCalendarDateBorder) -> new(Border, []) \fR
.LP
\fI new(ColText::wx:colour()) -> new(ColText, []) \fR
.RE
.LP
.B
new(X::WxCalendarDateBorder | term(), Options::[Option]) -> wxCalendarDateAttr()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcalendardateattr\&.html#wxcalendardateattrwxcalendardateattr>\&. 
.br
 Alternatives: 
.LP
\fI new(Border::WxCalendarDateBorder, [Option]) -> wxCalendarDateAttr() \fR 
.br
 Option = {colBorder, wx:colour()} 
.br
 WxCalendarDateBorder = integer() 
.br
 WxCalendarDateBorder is one of ?wxCAL_BORDER_NONE | ?wxCAL_BORDER_SQUARE | ?wxCAL_BORDER_ROUND 
.LP
\fI new(ColText::wx:colour(), [Option]) -> wxCalendarDateAttr() \fR 
.br
 Option = {colBack, wx:colour()} | {colBorder, wx:colour()} | {font, wxFont:wxFont()} | {border, WxCalendarDateBorder} 
.br
 WxCalendarDateBorder = integer() 
.br
 WxCalendarDateBorder is one of ?wxCAL_BORDER_NONE | ?wxCAL_BORDER_SQUARE | ?wxCAL_BORDER_ROUND 
.RE
.LP
.B
setTextColour(This::wxCalendarDateAttr(), ColText::colour() (see module wx)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcalendardateattr\&.html#wxcalendardateattrsettextcolour>\&.
.RE
.LP
.B
setBackgroundColour(This::wxCalendarDateAttr(), ColBack::colour() (see module wx)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcalendardateattr\&.html#wxcalendardateattrsetbackgroundcolour>\&.
.RE
.LP
.B
setBorderColour(This::wxCalendarDateAttr(), Col::colour() (see module wx)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcalendardateattr\&.html#wxcalendardateattrsetbordercolour>\&.
.RE
.LP
.B
setFont(This::wxCalendarDateAttr(), Font::wxFont() (see module wxFont)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcalendardateattr\&.html#wxcalendardateattrsetfont>\&.
.RE
.LP
.B
setBorder(This::wxCalendarDateAttr(), Border::WxCalendarDateBorder) -> ok
.br
.RS
.TP
Types
WxCalendarDateBorder = integer()
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcalendardateattr\&.html#wxcalendardateattrsetborder>\&. 
.br
 WxCalendarDateBorder is one of ?wxCAL_BORDER_NONE | ?wxCAL_BORDER_SQUARE | ?wxCAL_BORDER_ROUND
.RE
.LP
.B
setHoliday(This::wxCalendarDateAttr(), Holiday::bool()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcalendardateattr\&.html#wxcalendardateattrsetholiday>\&.
.RE
.LP
.B
hasTextColour(This::wxCalendarDateAttr()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcalendardateattr\&.html#wxcalendardateattrhastextcolour>\&.
.RE
.LP
.B
hasBackgroundColour(This::wxCalendarDateAttr()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcalendardateattr\&.html#wxcalendardateattrhasbackgroundcolour>\&.
.RE
.LP
.B
hasBorderColour(This::wxCalendarDateAttr()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcalendardateattr\&.html#wxcalendardateattrhasbordercolour>\&.
.RE
.LP
.B
hasFont(This::wxCalendarDateAttr()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcalendardateattr\&.html#wxcalendardateattrhasfont>\&.
.RE
.LP
.B
hasBorder(This::wxCalendarDateAttr()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcalendardateattr\&.html#wxcalendardateattrhasborder>\&.
.RE
.LP
.B
isHoliday(This::wxCalendarDateAttr()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcalendardateattr\&.html#wxcalendardateattrisholiday>\&.
.RE
.LP
.B
getTextColour(This::wxCalendarDateAttr()) -> colour() (see module wx)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcalendardateattr\&.html#wxcalendardateattrgettextcolour>\&.
.RE
.LP
.B
getBackgroundColour(This::wxCalendarDateAttr()) -> colour() (see module wx)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcalendardateattr\&.html#wxcalendardateattrgetbackgroundcolour>\&.
.RE
.LP
.B
getBorderColour(This::wxCalendarDateAttr()) -> colour() (see module wx)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcalendardateattr\&.html#wxcalendardateattrgetbordercolour>\&.
.RE
.LP
.B
getFont(This::wxCalendarDateAttr()) -> wxFont() (see module wxFont)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcalendardateattr\&.html#wxcalendardateattrgetfont>\&.
.RE
.LP
.B
getBorder(This::wxCalendarDateAttr()) -> WxCalendarDateBorder
.br
.RS
.TP
Types
WxCalendarDateBorder = integer()
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcalendardateattr\&.html#wxcalendardateattrgetborder>\&. 
.br
 WxCalendarDateBorder is one of ?wxCAL_BORDER_NONE | ?wxCAL_BORDER_SQUARE | ?wxCAL_BORDER_ROUND
.RE
.LP
.B
destroy(This::wxCalendarDateAttr()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
